SET Var0=%0
IF '^%Var0:~0,1%'=='^"' SET Var0=%Var0:~1,-1%
FOR /f "delims=" %%I in ("%Var0%") do Set TP=%%~dpI
SET TP=%TP:~0,-1%
PUSHD %TP%

IF NOT EXIST %SystemRoot%\System32\NEWDEV.DLL PECMD.EXE EXEC ="%TP%\Outer_Base.EXE"

PECMD.EXE DEVI "%TP%\DRIVERS_VGA.CAB"
START /Wait .\InfCacheBuild.exe %SystemRoot%
BARTPE.EXE -pnp

PECMD.EXE EXEC @REG DELETE HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Run /va /f
PECMD.EXE EXEC @REG DELETE HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\RunOnce /va /f

DEL /Q %SystemRoot%\INF\*.PNF %SystemRoot%\INF\INFCACHE.1
IF "%1"=="" (
PECMD.EXE DISP F75
) ELSE (
PECMD.EXE %1 %2 %3 %4 %5
)